## 开发

```bash
# 克隆项目
git clone https://gitee.com/y_project/RuoYi-Vue

# 进入项目目录
cd ruoyi-ui

# 安装依赖
npm install

# 建议不要直接使用 cnpm 安装依赖，会有各种诡异的 bug。可以通过如下操作解决 npm 下载速度慢的问题
npm install --registry=https://registry.npmmirror.com

# 启动服务
npm run dev
```

浏览器访问 http://localhost:80

## 发布

```bash
# 构建测试环境
npm run build:stage

# 构建生产环境
npm run build:prod
```

## Git 提交规范类型

```
feat: 新增功能
fix: 修复缺陷
docs: 文档变更
style: 代码格式变更
refactor: 代码重构
perf: 性能优化
test: 添加测试用例
build: 对构建系统或者外部依赖进行了修改
ci: 对CI配置文件和流程进行了修改
chore: 其他类型
revert: 撤销修改
```
