/*
 * @Author: guanxiaoyan guanxiaoyan@pb-station.com
 * @Deion:
 * @Date: 2024-01-31 10:03:20
 * @LastEditors: guanxiaoyan guanxiaoyan@pb-station.com
 * @LastEditTime: 2024-01-31 10:07:11
 * @FilePath: /followUp-admin/src/api/admin/index.js
 */
import request from "@/utils/request";

export * from "./dictManage/dept";
export * from "./dictManage/hosp";
export * from "./dictManage/disease";

export * from "./userManage/staff";
export * from "./userManage/role";
export * from "./userManage/account";
export * from "./userManage/menu";

// 根据院区ID获取科室
export function getTreeHospDept(query) {
  return request({
    url: `/internal/hospDept/all-list-children-by-ward`,
    method: "get",
    params: query,
  });
}
export function getTreeHospDeptByPatient(query) {
  return request({
    url: `/internal/hospDept/all-list-children`,
    method: "get",
    params: query,
  });
}
